package com.persagy.server.datacenter.wanda.rel

import RelBuilding
import com.persagy.service.models.annotations.SCascade
import io.swagger.v3.oas.annotations.media.Schema

/**
 * 设备和建筑的关系
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2021/2/25 18:16
 */
class RelEq2BdEquip: EquipmentBase() {

    /** 级联-设备服务的建筑 */
    @Schema(description = "级联-设备服务的建筑")
    @SCascade(table="public.equipment", idColumn="id", childIdColumn="buildingId")
    var objectInfo: ArrayList<RelBuilding>? = null

}